@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

body {
    margin: 0;
    overflow: hidden;
    user-select: none;
}

.navtop {
    display: flex;
    height: 90px;
    align-items: center;
    justify-content: space-between;
    padding: 10px;
    background-image: linear-gradient(to bottom, rgba(0, 0, 0, 1), rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.1));
    z-index: 100;
}

.logo img {
    height: 60px;
    width: 80%;
}

button {
    border-radius: 10px;
    padding: 10px;
    cursor: pointer;
    background-color: transparent;
}

.circle-wrapper {
    width: 50px;
    height: 50px;
    right: 1%;
    position: relative;
}

.c2 {
    margin-left: -17%;
}

.circle {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    animation: spin 10s linear infinite;
    border: 3px dashed #fff;
}

@keyframes spin {
    100% {
        transform: rotateZ(360deg);
    }
}

.circle-wrapper .off {
    border: none;
    position: absolute;
    transform: translate(12%, -115%);
}

.off:hover {
    opacity: 0.8;
}

.menu {
    display: flex;
}

.menu div a {
    font-family: "Bebas Neue", sans-serif;
    font-size: 18px;
    color: white;
}

.menu div .first {
    color: #1ADDFF;
}

.menu div a:hover {
    color: #1ADDFF;
}

input[type=checkbox] {
    display: none;
}

.menubar {
    display: none;
    font-size: 24px;
    user-select: none;
}

.vertical {
    top: 0;
    margin-left: 88%;
    height: 100%;
    position: absolute;
    border-left: 1px solid rgb(255, 255, 255, 0.4);
    z-index: 10;
}

hr.row {
    width: 100%;
    margin-top: -42.5%;
    margin-left: 0;
    border: 1px solid rgb(255, 255, 255, 0.5);
    position: absolute;
    z-index: 10;
}

hr.row2 {
    width: 100%;
    margin-top: -7.2%;
    margin-left: 0;
    border: 1px solid rgb(255, 255, 255, 0.5);
    position: absolute;
    z-index: 10;
}

.title b {
    margin-left: 13%;
    margin-top: -9.1%;
    position: absolute;
    font-family: "Bebas Neue", sans-serif;
    font-size: 90px;
    font-weight: 500;
    letter-spacing: 2px;
    color: rgb(255, 255, 255, 0.4);
    z-index: 10;
}

.page {
    position: absolute;
    z-index: 3;
    top: 50%;
    right: 2.5%;
    text-align: end;
    z-index: 10;
}

.pa1 {
    font-family: "Rubik", sans-serif;
    color: #10a7e8;
    font-size: 38px;
    font-weight: 800;
}

.pa2 {
    font-family: "Rubik", sans-serif;
    color: white;
    font-size: 13px;
    font-weight: 600;
    margin-top: -20px;
}

/* css slider */
.slider {
    height: 100vh;
    margin-top: -90px;
    width: 100vw;
    overflow: hidden;
    position: relative;
}

.slider .list .item {
    position: absolute;
    inset: 0 0 0 0;
    overflow: hidden;
    opacity: 0;
    transition: .5s;
}

.slider .list .item .bg {
    width: 100%;
    height: 100%;
    object-fit: cover;
    filter: brightness(.2);
}

.slider .list .item::after {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    bottom: 0;
}

/* Base styles for .tyy1, .tyy2, and .tyy3 */
.slider .list .item .tyy1,
.slider .list .item .tyy2,
.slider .list .item .tyy3 {
    position: absolute;
    transition: transform 10s ease-in-out;
}

.slider .list .item .tyy1 {
    top: -10%;
    width: 170%;
    transform: translateX(40%);
}

.slider .list .item .tyy1.selected {
    transform: translateX(45%);
}

.slider .list .item .tyy2 {
    top: -30%;
    width: 195%;
    transform: translateX(40%);
}

.slider .list .item .tyy2.selected {
    transform: translateX(45%);
}

.slider .list .item .tyy3 {
    top: -22%;
    width: 200%;
    transform: translateX(30%);
}

.slider .list .item .tyy3.selected {
    transform: translateX(35%);
}

.slider .list .item .content {
    position: absolute;
    left: 10%;
    top: 20%;
    width: 500px;
    max-width: 80%;
    z-index: 1;
    color: #fff;
    text-shadow: 0 5px 10px #0004;
}

.slider .list .item .content1 {
    background-color: #000;
    width: 430px;
    height: 125px;
    padding: 12px 35px 10px 35px;
    font-family: "Roboto Mono", monospace;
    font-size: 13px;
    text-align: justify;
}

.slider .list .item .content p:nth-child(2) {
    font-weight: bold;
    font-size: 14px;
    letter-spacing: 15px;
    color: #1ADDFF;
}

.slider .list .item .content .title-wrapper {
    display: flex;
    align-items: center;
}

.slider .list .item .content h2 {
    font-size: 70px;
    font-weight: bold;
    margin-right: -40px;
}

.slider .list .item .content .logo1 {
    width: 80px;
    height: auto;
    margin-top: 3%;
    margin-left: 15%;
    margin-bottom: 5%;
}

.slider .list .item .content .logo {
    width: 170px;
    height: auto;
    margin-top: -10%;
}

.slider .list .item.active {
    opacity: 1;
    z-index: 10;
}

@keyframes showContent {
    to {
        transform: translateY(0);
        filter: blur(0);
        opacity: 1;
    }
}

.arrows {
    position: absolute;
    top: 30%;
    right: 50px;
    z-index: 100;
}

.arrows button {
    background-color: #eee5;
    border: none;
    font-family: monospace;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    font-size: x-large;
    color: #eee;
    transition: .5s;
    display: none;
}

.arrows button:hover {
    background-color: #eee;
    color: black;
}

.thumbnail {
    position: absolute;
    bottom: 40px;
    z-index: 11;
    display: flex;
    gap: 20px;
    width: 100%;
    height: 250px;
    justify-content: left;
    padding-left: 10%;
}

.thumbnail::-webkit-scrollbar {
    width: 0;
}

.thumbnail .item-wrapper {
    overflow: hidden;
    width: 90px;
    height: 150px;
    background-color: #000;
}

.thumbnail .item {
    width: 90px;
    height: 150px;
    filter: brightness(.6);
    transition: .5s;
    flex-shrink: 0;
    background-color: #000;
    overflow: visible;
    border: 7px solid white;
    position: relative;
}

.thumbnail .item img {
    width: 640%;
    transition: transform .5s;
    z-index: 5;
    position: absolute;
}

.thumbnail .item .img1 {
    width: 520%;
    transform: translate(-42%, -1%);
}

.thumbnail .item .img2 {
    transform: translate(-33%, -10%);
}

.thumbnail .item .img3 {
    transform: translate(-41%, -4%);
}

.thumbnail .item .img4 {
    width: 630%;
    transform: translate(-42%, -3%);
}

.thumbnail .item.active {
    filter: brightness(.9);
}

.thumbnail .item .content {
    color: #fff;
    position: absolute;
    bottom: 10px;
    padding-left: 5px;
    width: 100%;
    text-align: left;
    font-weight: 600;
    z-index: 6;
}

@media (max-width: 1200px) {
    .menu {
        display: none;
        position: fixed;
        padding-top: 20px;
        margin-top: 10px;
        background-color: rgba(0, 0, 0, 0.9);
        left: 0;
        text-align: left;
        width: 100%;
        height: 120%;
        z-index: 10;
        border-top: 1px solid #c1c1c1;
    }

    .menu div {
        margin-top: 20px;
        text-align: start;
        margin-left: 2%;
    }

    .menu div a {
        color: white;
        font-family: 'Roboto', sans-serif;
        font-size: 20px;
        text-decoration: none;
    }

    .navtop button {
        display: none;
    }

    .menu div:hover {
        color: #068FFF;
    }

    input[type=checkbox]:checked~.menu {
        display: block;
    }

    .menubar {
        display: block;
    }

    .circle-wrapper {
        display: none;
    }
}

@media (max-width: 760px) {
    .menu div {
        margin-left: 5%;
    }
}

@media screen and (max-width: 678px) {
    .thumbnail {
        justify-content: start;
    }

    .slider .list .item .content h2 {
        font-size: 60px;
    }

    .arrows {
        top: 15%;
    }
}